- entry_type: loop_invariant
  metadata:
    format_version: 0.2
    uuid: 30b56284-13de-42ce-bfb2-366132e409cc
    creation_time: 2023-02-17T13:42:57.560224Z
    producer:
      name: V2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench/lcm2.c
      input_file_hashes:
        c/nla-digbench/lcm2.c: e0d433468442fea01fd6f51a5fcaea8db7e3b564878994442665eb482321c037
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench/lcm2.c
    file_hash: e0d433468442fea01fd6f51a5fcaea8db7e3b564878994442665eb482321c037
    line: 37
    column: 0
    function: main
  loop_invariant:
    string: x * u + y * v == 2 * a * b
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: 434c9d1d-f283-441d-ae91-18463a329eef
    creation_time: 2023-02-17T13:42:57.560681Z
    producer:
      name: V2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench/lcm2.c
      input_file_hashes:
        c/nla-digbench/lcm2.c: e0d433468442fea01fd6f51a5fcaea8db7e3b564878994442665eb482321c037
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench/lcm2.c
    file_hash: e0d433468442fea01fd6f51a5fcaea8db7e3b564878994442665eb482321c037
    line: 37
    column: 0
    function: main
  location_invariant:
    string: x * u + y * v == 2 * a * b
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: ca7a3c15-fd26-4b8e-abb8-fd0aaa56d18a
    creation_time: 2023-02-17T13:42:57.560775Z
    producer:
      name: V2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench/lcm2.c
      input_file_hashes:
        c/nla-digbench/lcm2.c: e0d433468442fea01fd6f51a5fcaea8db7e3b564878994442665eb482321c037
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench/lcm2.c
    file_hash: e0d433468442fea01fd6f51a5fcaea8db7e3b564878994442665eb482321c037
    line: 51
    column: 0
    function: main
  location_invariant:
    string: x * u + y * v == 2 * a * b
    type: assertion
    format: C

